[jitsi-dev] Script versions in Jitsi-Meet


#1

Hey,

According to some discussions we've had, the "versions" which we use in index.html when including script and CSS files[0] are meant to make browsers pull the new version of the file if it has been changed. My understanding is that this should be and is handled by HTTP and the versions are therefore unnecessary (and they are a hassle to maintain). Am I missing something, or can we just remove them?

I suppose leaving the version for app.bundle.js makes sense, at least in the debian package, for ease of identification of the running version.

Regards,
Boris

[0] https://github.com/jitsi/jitsi-meet/blob/master/index.html#L16


#2

Hey,

According to some discussions we've had, the "versions" which we use in
index.html when including script and CSS files[0] are meant to make
browsers pull the new version of the file if it has been changed. My
understanding is that this should be and is handled by HTTP and the
versions are therefore unnecessary (and they are a hassle to maintain).

Sadly, it is not handled by http in practice.

Am I missing something, or can we just remove them?

I suppose leaving the version for app.bundle.js makes sense, at least in
the debian package, for ease of identification of the running version.

did you consider using webpack? It's not 1999, there are a bunch of tools out there solving this problem.

ยทยทยท

Am 12.10.2015 um 10:24 schrieb Boris Grozev: